$(document).ready(function() {
  $('div.chapter a[href*=wikipedia]').each( function(index) {
    $thisLink = $(this);
    $thisLink.attr({
     'rel': 'external',
     'id': 'wikilink-' + index,
     'title': '   \"' + $thisLink.text() + '\"  '
    });
  });
});

$(document).ready(function() {
  $('<a href="#top"> </a>').insertAfter('div.chapter p:gt(1)');
  $('<a id="top"></a>').prependTo('body');
});

$(document).ready(function() {
  $('<ol id="notes"></ol>').insertAfter('div.chapter');
  $('span.footnote').each(function(index) {
    $(this)
      .before(
        ['<a href="#foot-note-',
          index+1,
          '" id="context-',
          index+1,
          '" class="context">',
            '<sup>' + (index+1) + '</sup>',
        '</a>'
        ].join('')
      )
      .appendTo('#notes')
      .append( '&nbsp;(<a href="#context-' + (index+1) + '"></a>)' )
      .wrap('<li id="foot-note-' + (index+1) + '"></li>');
  });
});

$(document).ready(function() {
  $('span.pull-quote').each(function(index) {
    var $parentParagraph = $(this).parent('p');
    $parentParagraph.css('position', 'relative');
    $(this).clone()
      .addClass('pulled')
      .prependTo($parentParagraph);
  });
});
